JUJU-QUICKSTART(1)

NAME
juju-quickstart - Quickly configure, deploy and manage Juju bundles with the Juju GUI

DESCRIPTION
usage: juju-quickstart [-h] [-e ENV_NAME] [-n BUNDLE_NAME] [-i] [--environments-file ENV_FILE] [--gui-charm-url CHARM_URL] [--no-browser] [--version] [--debug] [--description] [bundle]

Juju Quickstart is a Juju plugin which allows for easily setting up a Juju environment in very few steps. The environment is bootstrapped and set up so that it can be managed using a Web interface (the Juju GUI).

  positional arguments:

bundle
    The optional bundle to be deployed. The bundle can be 1) a fully qualified bundle URL (starting with "bundle:"), 2) a URL ("http:" or "https:") to a YAML/JSON, 3) a path to a YAML/JSON file, or 4) a path to a directory containing a "bundles.yaml" file

  optional arguments:

-h, --help
    show this help message and exit

-e ENV_NAME, --environment ENV_NAME
    The name of the Juju environment to use

-n BUNDLE_NAME, --bundle-name BUNDLE_NAME
    The name of the bundle to use. This must be included in the provided bundle YAML/JSON. Specifying the bundle name is not required if the bundle YAML/JSON only contains one bundle. This option is ignored if the bundle file is not specified

-i, --interactive
    Start the environments management interactive session

--environments-file ENV_FILE
    The path to the Juju environments YAML file (~/.juju/environments.yaml)

--gui-charm-url CHARM_URL
    The Juju GUI charm URL to deploy in the environment. If not provided, the last release of the GUI will be deployed. The charm URL must include the charm version, e.g. cs:~juju-gui/precise/juju-gui-116. This option is ignored if Juju GUI is already present in the environment

--no-browser
    Avoid opening the browser to the GUI at the end of the process

--version
    show program's version number and exit

--debug
    Turn debug mode on. When enabled, all the subcommands and API calls are logged to stdout, and the Juju environment is bootstrapped passing --debug

--description
    Show program's description and exit

SEE ALSO
The full documentation for juju-quickstart is maintained as a Texinfo manual. If the info and juju-quickstart programs are properly installed at your site, the command

    info juju-quickstart

should give you access to the complete manual.